%define module_version 0.04
%define module_name Web-Compare
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Lite.pm) perl(Diff/LibXDiff.pm) perl(Furl.pm) perl(HTTP/Request.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Module/Build/Compat.pm) perl(String/Diff.pm) perl(Test/Fake/HTTPD.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Compare web pages
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BA/BAYASHI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Web::Compare is the tool for comparing web pages.

It might be useful like below.

    use Web::Compare;
    
    my $wc = Web::Compare->new(
        'http://staging.example.com/foo/bar',
        'http://production.example.com/foo/bar',
    );
    warn $wc->report;

To compare staging web page to production web page.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes
%perl_vendor_privlib/W*

%changelog
* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Tue Jul 15 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

